Prequalify
Pre-qualification allows customers to check their financing eligibility before making a purchase decision. On this page, we'll dive into the different prequalify endpoints you can use to manage pre-qualification flows programmatically. We'll look at how to initiate and process pre-qualification requests.
Endpoints
POST/score/prequalify
POST
/score/prequalifyPrequalify an applicant
Request Body
Parameters to determine a prequalification
Schema: Prequalify Applicant
Request
POST
/score/prequalify{
"store_id": 123,
"first_name": "first_name",
"middle_name": "middle_name",
"last_name": "last_name",
"social_security_number": "social_security_number",
"date_of_birth": "date_of_birth",
"street": "street",
"city": "city",
"state": "state",
"zip": "zip_code",
"email": "email",
"cell": "cell_phone"
}Response
{
"status": true,
"code": 200,
"data": {
"preQualified": true
}
}Schemas
Prequalify Applicant
Determine if an applicant is prequalified
Properties
- Name
store_id- Type
- integer
- Description
- Store ID
- Name
first_name- Type
- string
- Description
- First Name of applicant
- Name
middle_name- Type
- string
- Description
- Middle Name of applicant
- Name
last_name- Type
- string
- Description
- Last Name of applicant
- Name
social_security_number- Type
- string
- Description
- Social security number of applicant
- Name
date_of_birth- Type
- string
- Description
- Date of birth for applicant
- Name
street- Type
- string
- Description
- Street address of applicant
- Name
city- Type
- string
- Description
- City of applicant
- Name
state- Type
- string
- Description
- State of applicant
- Name
zip- Type
- string
- Description
- Zip code of applicant
- Name
email- Type
- string
- Description
- Email of applicant
- Name
cell- Type
- string
- Description
- Cell phone of applicant
